/*
 * Soubor:  xmpp.h
 * Datum:   06.08.2012
 * Autor:   Stanislav Bárta, xbarta29@stud.fit.vutbr.cz
 * Projekt: IM modul
 * Popis:   hlavickovy soubor pro funkce zpracovavajici protokol XMPP
 */

#ifndef _XMPP_
#define _XMPP_

#include <stdio.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "my_string.h"
#include "my_xml.h"
#include "zpracovany_packet.h"
#include "iri.h"
#include "sprava.h"


void zpracuj_xmpp(struct data_packetu *zprava, struct sezeni *Sezeni);
void ukonci_xmpp(struct data_packetu *zprava, struct sezeni *Sezeni);
void identifikuj_zpravu(struct xml *zpracovane_xml, struct sezeni *Sezeni, int smer, struct timeval *cas_zachyceni);
char *bareJID(char *ID);
char *resources(char *ID);
int je_fullJID(char *ID);
#endif
